Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 12 reacties
Bron: Simple Machines, submitter: EDIT

Met Simple Machines Forum is het mogelijk een forum op te zetten waarop bezoekers met elkaar kunnen discussiëren. Het pakket wordt onder een eigen SMF-licentie beschikbaar gesteld en maakt gebruik van PHP en een database om berichten te bewaren, waarbij naast het populaire MySQL ook PostgreSQL en SQLite als databases worden ondersteund. De ontwikkelaars hebben twee nieuwe versies uitgebracht met 1.1.9 en 2.0 RC1-1 als de versieaanduidingen. De bijbehorende aankondiging ziet er als volgt uit:

SMF 1.1.9 and 2.0 RC1-1 released

Simple Machines announces the release of SMF 1.1.9 and 2.0 RC1-1, addressing a few vulnerabilities found in SMF 1.1.8 and 2.0 RC1. We strongly recommend that all users upgrade as soon as possible.

It should be noted that SMF 2.0 RC1-1 is not the second release candidate for SMF 2.0, but merely a security-updated version of the first release candidate. The new Curve theme is still scheduled for SMF 2.0 RC2, as announced earlier.

To upgrade, use the package manager to upgrade to either 1.1.9 or 2.0 RC1-1, depending on your version. Simply visit your administration center, where a notice will be displayed, prompting you to upgrade. Click the link, confirm the changes and your forum will be up to date again. Users still running the SMF 1.0.x branch can upgrade to SMF 1.0.17 via the same procedure.

If you cannot upgrade using the package manager, please follow the instructions posted in the Online Manual about installing and upgrading. If you experience a session verification error when inputting FTP details for updating process, please see this topic.

It may be necessary to apply the upgrade manually if mod conflicts mean that you cannot install the patch through the package manager. Instructions for doing this can be found on this page for all versions.

Regards,
Simple Machines
Moderatie-faq Wijzig weergave

Reacties (12)

Update ging, zoals gebruikelijk, vlekkeloos via de pakketbeheerfunctie. Makkelijker kan niet. :)

Overigens, SMF is niet onder de GPL vrijgegeven, maar onder de Simple Machines licentie.
Toen 1.1.7 nieuw was, lukte het updaten van mijn forum van 1.1.5 naar 1.1.6 wel, maar van 1.1.6 naar 1.1.7 niet. Nu we ondertussen al aan 1.1.9 zitten lukte het updaten ineens wel, en ik gebruik nu trots versie 1.1.9. Het is inderdaad verbazingwekkend hoe vlot het updaten gaat in SMF, enkele klikken in het admin gedeelte en baf, je bent klaar.
Ik krijg die pakketbeheerfunctie maar niet aan de praat, terwijl ik zeker weet dat de gebruikte credentials in orde zijn, en de rechten van de directories ook goed staan.
Ik heb altijd een hekel gehad aan de organisatie van SMF. Het duurt niet lang voor je populare SMF board gehacked wordt.
P.S: Tijdens het schrijven van deze message, krijg ik toevallig ook dat mailtje binnen.

[Reactie gewijzigd door Bilel op 25 mei 2009 21:32]

Dat ligt dan meer aan het niet updaten van SMF, dan aan SMF zelf.
Vaak genoeg komen er patches uit, en nog geen enkel forum van mij dat draait op SMF is ooit gehacked.
Zolang je up-to-date blijft is er weinig aan de hand :)
tjah, phpbb is ook te hacken... Wil je zekerheid dan moet je een betaalde forum licentie nemen van Invision Power Board (<--- mijn favoriet) of vBulletin.

Maar verders is het prima forum software...
ook diverse boards die ik beheer geupdate.ik vind persoonlijk smf beter werken dan phpbb al is phpbb de meest voorkomende software
vBulletin blijft mijn favoriet. Bij gratis systemen is dat MyBB, alleen is het updaten daar weer wat lastiger.
Nou, deze keer is de update helemaal een ramp. Hij klaagt over outdated files. Na even zoeken blijken die in mijn Themes map te zitten. Ik begin te vermoeden dat ik mijn eigen theme, gecustomized naar mijn site design, helemaal opnieuw mag maken. En bedankt, SMF! (Vooral voor de waarschuwing!)
Altijd backups maken.
Er zijn helemaal geen wijzigingen in de templates tussen 1.1.8 en 1.1.9. Als het upgradescript klaagt over outdated files, zal dat eerder om oude taalbestanden gaan.
zeer goed forum paket geen opmerkingen vlot snel / goede help center

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True